Skip to main content
Get My Sync Appointments

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

StartTime, EndTime

GetMySyncAppointments: Method that returns a specified number of appointments within a time range. The appointments belong to the currently logged on user.

StartTime
string<date-time>
EndTime
string<date-time>

Response

OK

AlarmTime
string<date-time>

Date and time at which to show alarm

AppointmentId
integer<int32>

Primary key

AppointmentText
string

The appointment's textbox; holds a descriptive text about the appointment. Filled out by the user.

ContactDepartment
string

The department of the contact connected to the appointment

ContactFullName
string

The entire name of the contact, including department name

ContactName
string

The contact associated with the appointment.

ContactId
integer<int32>

The contacts identifier

EndDate
string<date-time>

Date + end time planned

HasAlarm
boolean

Does this appointment have an alarm

IsAllDay
boolean
IsAssignment
boolean
IsBusy
boolean
IsCompleted
boolean
IsInvitation
boolean
IsTentative
boolean
Location
string

Location for appointment, defaulted from invited resource of type place and other rules, but you can write anything you want here

Participants
object[]
PersonFormalName
string
PersonFullName
string

The full name of the person this appointment belongs to.

PersonId
integer<int32>

Person ID of person the appointment is with, may be 0

ProjectId
integer<int32>

ID of project referred to, may be 0

ProjectName
string

Project name

SaleId
integer<int32>

Owning sale, if any (may be 0)

SaleName
string

Sale heading (short description?)

StartDate
string<date-time>

date + start time planned

TaskName
string
TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.